* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

.footer-container {
    background-color: #181818;
    padding: 1rem;
    margin-top: 3rem;
}

.footer {
    height: 50vh;
    color:#fff;
    display: flex;
    flex-wrap: wrap;
    margin: auto;

}

.footer > div { /* Making the divs perfect controlable squares*/
    flex: 1;
    aspect-ratio: 1/1;
}

.footer-heading {
    display: flex;
    flex-direction: column;
}

.footerheading {
    margin-bottom: 1rem;
}

.footer-heading a {
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    color:#969595;
    cursor: pointer;
    transition: all 0.5s ease;
} 

.footer-heading a:hover {
    color: red;
    padding-left: 1rem;
}